> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opscape.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Move a board to another workspace



## OpenAPI

````yaml https://opscape.com/api/v1/openapi.json post /boards/{boardPublicId}/move
openapi: 3.0.0
info:
  title: Kan API
  description: OpenAPI compliant REST API
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /boards/{boardPublicId}/move:
    post:
      tags:
        - Boards
      summary: Move a board to another workspace
      operationId: moveBoard
      parameters:
        - name: boardPublicId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MoveBoardDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponseDto_Output'
      security:
        - bearer: []
components:
  schemas:
    MoveBoardDto:
      type: object
      properties:
        targetWorkspacePublicId:
          type: string
          minLength: 12
          description: Public ID of the workspace to move the board to.
      required:
        - targetWorkspacePublicId
    SuccessResponseDto_Output:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
      additionalProperties: false
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.